# eric4.Preferences.__init__

Package implementing the preferences interface.

The preferences interface consists of a class, which defines the default values for all configuration items and stores the actual values. These values are read and written to the eric4 preferences file by module functions. The data is stored in a file in a subdirectory of the users home directory. The individual configuration data is accessed by accessor functions defined on the module level. The module is simply imported wherever it is needed with the statement 'import Preferences'. Do not use 'from Preferences import *' to import it.

### Global Attributes

None

### Classes

Prefs | A class to hold all configuration items for the application.

### Functions

exportPreferences | Module function to export the current preferences.
getCorba | Module function to retrieve the various corba settings.
getDebugger | Module function to retrieve the debugger settings.
getEditor | Module function to retrieve the various editor settings.
getEditorAPI | Module function to retrieve the various lists of api files.
getEditorColour | Module function to retrieve the various editor marker colours.
getEditorExporter | Module function to retrieve the various editor exporters settings.
getEditorLexerAssoc | Module function to retrieve a lexer association.
getEditorLexerAssocs | Module function to retrieve all lexer associations.
getEditorOtherFonts | Module function to retrieve the various editor fonts except the lexer fonts.
getEditorTyping | Module function to retrieve the various editor typing settings.
getGeometry | Module function to retrieve the display geometry.
getGraphics | Module function to retrieve the Graphics related settings.
getHelp | Module function to retrieve the various help settings.
getIconEditor | Module function to retrieve the Icon Editor related settings.
getIcons | Module function to retrieve the various Icons settings.
getMultiProject | Module function to retrieve the various project handling settings.
getPluginManager | Module function to retrieve the plugin manager related settings.
getPrinter | Module function to retrieve the various printer settings.
getProject | Module function to retrieve the various project handling settings.
getProjectBrowserColour | Module function to retrieve the various project browser colours.
getProjectBrowserFlags | Module function to retrieve the various project browser flags settings.
getPython | Module function to retrieve the Python settings.
getQt | Module function to retrieve the various Qt settings.
getQt4DocDir | Module function to retrieve the Qt4DocDir setting.
getQt4TranslationsDir | Module function to retrieve the Qt4TranslationsDir setting.
getShell | Module function to retrieve the various shell settings.
getSystem | Module function to retrieve the various system settings.
getTasks | Module function to retrieve the Tasks related settings.
getTemplates | Module function to retrieve the Templates related settings.
getTerminal | Module function to retrieve the various terminal settings.
getUI | Module function to retrieve the various UI settings.
getUILanguage | Module function to retrieve the language for the user interface.
getUILayout | Module function to retrieve the layout for the user interface.
getUser | Module function to retrieve the various user settings.
getVCS | Module function to retrieve the VCS related settings.
getVarFilters | Module function to retrieve the variables filter settings.
getViewManager | Module function to retrieve the selected viewmanager type.
importPreferences | Module function to import preferences from a file previously saved by the export function.
initPreferences | Module function to initialize the central configuration store.
initRecentSettings | Module function to initialize the central configuration store for recently opened files and projects.
isConfigured | Module function to check, if the the application has been configured.
readToolGroups | Module function to read the tool groups configuration.
removeProjectBrowserFlags | Module function to remove a project browser flags setting.
resetLayout | Module function to set a flag not storing the current layout.
saveResetLayout | Module function to save the reset layout.
saveToolGroups | Module function to write the tool groups configuration.
setCorba | Module function to store the various corba settings.
setDebugger | Module function to store the debugger settings.
setEditor | Module function to store the various editor settings.
setEditorAPI | Module function to store the various lists of api files.
setEditorColour | Module function to store the various editor marker colours.
setEditorExporter | Module function to store the various editor exporters settings.
setEditorLexerAssocs | Module function to retrieve all lexer associations.
setEditorOtherFonts | Module function to store the various editor fonts except the lexer fonts.
setEditorTyping | Module function to store the various editor typing settings.
setGeometry | Module function to store the display geometry.
setGraphics | Module function to store the Graphics related settings.
setHelp | Module function to store the various help settings.
setIconEditor | Module function to store the Icon Editor related settings.
setIcons | Module function to store the various Icons settings.
setMultiProject | Module function to store the various project handling settings.
setPluginManager | Module function to store the plugin manager related settings.
setPrinter | Module function to store the various printer settings.
setProject | Module function to store the various project handling settings.
setProjectBrowserColour | Module function to store the various project browser colours.
setProjectBrowserFlags | Module function to store the various project browser flags settings.
setProjectBrowserFlagsDefault | Module function to store the various project browser flags settings.
setPython | Module function to store the Python settings.
setQt | Module function to store the various Qt settings.
setShell | Module function to store the various shell settings.
setSystem | Module function to store the various system settings.
setTasks | Module function to store the Tasks related settings.
setTemplates | Module function to store the Templates related settings.
setTerminal | Module function to store the various terminal settings.
setUI | Module function to store the various UI settings.
setUILanguage | Module function to store the language for the user interface.
setUILayout | Module function to store the layout for the user interface.
setUser | Module function to store the various user settings.
setVCS | Module function to store the VCS related settings.
setVarFilters | Module function to store the variables filter settings.
setViewManager | Module function to store the selected viewmanager type.
shouldResetLayout | Module function to indicate a reset of the layout.
syncPreferences | Module function to sync the preferences to disk.

## Prefs

A class to hold all configuration items for the application.

### Derived from

object

### Class Attributes

corbaDefaults
debuggerDefaults
editorColourDefaults
editorDefaults
editorExporterDefaults
editorOtherFontsDefaults
editorTypingDefaults
fontFamily
fontSize
geometryDefaults
graphicsDefaults
helpDefaults
iconEditorDefaults
iconsDefaults
multiProjectDefaults
pluginManagerDefaults
printerDefaults
projectBrowserColourDefaults
projectBrowserFlagsDefaults
projectDefaults
qtDefaults
resetLayout
shellDefaults
sysDefaults
tasksDefaults
templatesDefaults
terminalDefaults
uiDefaults
userDefaults
varDefaults
vcsDefaults
viewProfilesLength
websettings

### Methods

None

Up

## exportPreferences

exportPreferences(prefClass = Prefs)

Module function to export the current preferences.

prefClass
  preferences class used as the storage area

Up

## getCorba

getCorba(key, prefClass = Prefs)

Module function to retrieve the various corba settings.

key
  the key of the value to get
prefClass
  preferences class used as the storage area

Returns:
  the requested corba setting

Up

## getDebugger

getDebugger(key, prefClass = Prefs)

Module function to retrieve the debugger settings.

key
  the key of the value to get
prefClass
  preferences class used as the storage area

Returns:
  the requested debugger setting

Up

## getEditor

getEditor(key, prefClass = Prefs)

Module function to retrieve the various editor settings.

key
  the key of the value to get
prefClass
  preferences class used as the storage area

Returns:
  the requested editor setting

Up

## getEditorAPI

getEditorAPI(key, prefClass = Prefs)

Module function to retrieve the various lists of api files.

key
  the key of the value to get
prefClass
  preferences class used as the storage area

Returns:
  the requested list of api files (QStringList)

Up

## getEditorColour

getEditorColour(key, prefClass = Prefs)

Module function to retrieve the various editor marker colours.

key
  the key of the value to get
prefClass
  preferences class used as the storage area

Returns:
  the requested editor colour

Up

## getEditorExporter

getEditorExporter(key, prefClass = Prefs)

Module function to retrieve the various editor exporters settings.

key
  the key of the value to get
prefClass
  preferences class used as the storage area

Returns:
  the requested editor setting

Up

## getEditorLexerAssoc

getEditorLexerAssoc(filename, prefClass = Prefs)

Module function to retrieve a lexer association.

filename
  filename used to determine the associated lexer language (string)
prefClass
  preferences class used as the storage area

Returns:
  the requested lexer language (string)

Up

## getEditorLexerAssocs

getEditorLexerAssocs(prefClass = Prefs)

Module function to retrieve all lexer associations.

prefClass
  preferences class used as the storage area

Returns:
  a reference to the list of lexer associations (dictionary of strings)

Up

## getEditorOtherFonts

getEditorOtherFonts(key, prefClass = Prefs)

Module function to retrieve the various editor fonts except the lexer fonts.

key
  the key of the value to get
prefClass
  preferences class used as the storage area

Returns:
  the requested editor font (QFont)

Up

## getEditorTyping

getEditorTyping(key, prefClass = Prefs)

Module function to retrieve the various editor typing settings.

key
  the key of the value to get
prefClass
  preferences class used as the storage area

Returns:
  the requested editor setting

Up

## getGeometry

getGeometry(key, prefClass = Prefs)

Module function to retrieve the display geometry.

key
  the key of the value to get
prefClass
  preferences class used as the storage area

Returns:
  the requested geometry setting

Up

## getGraphics

getGraphics(key, prefClass = Prefs)

Module function to retrieve the Graphics related settings.

key
  the key of the value to get
prefClass
  preferences class used as the storage area

Returns:
  the requested user setting

Up

## getHelp

getHelp(key, prefClass = Prefs)

Module function to retrieve the various help settings.

key
  the key of the value to get
prefClass
  preferences class used as the storage area

Returns:
  the requested help setting

Up

## getIconEditor

getIconEditor(key, prefClass = Prefs)

Module function to retrieve the Icon Editor related settings.

key
  the key of the value to get
prefClass
  preferences class used as the storage area

Returns:
  the requested user setting

Up

## getIcons

getIcons(key, prefClass = Prefs)

Module function to retrieve the various Icons settings.

key
  the key of the value to get
prefClass
  preferences class used as the storage area

Returns:
  the requested Icons setting

Up

## getMultiProject

getMultiProject(key, prefClass = Prefs)

Module function to retrieve the various project handling settings.

key
  the key of the value to get
prefClass
  preferences class used as the storage area

Returns:
  the requested project setting

Up

## getPluginManager

getPluginManager(key, prefClass = Prefs)

Module function to retrieve the plugin manager related settings.

key
  the key of the value to get
prefClass
  preferences class used as the storage area

Returns:
  the requested user setting

Up

## getPrinter

getPrinter(key, prefClass = Prefs)

Module function to retrieve the various printer settings.

key
  the key of the value to get
prefClass
  preferences class used as the storage area

Returns:
  the requested printer setting

Up

## getProject

getProject(key, prefClass = Prefs)

Module function to retrieve the various project handling settings.

key
  the key of the value to get
prefClass
  preferences class used as the storage area

Returns:
  the requested project setting

Up

## getProjectBrowserColour

getProjectBrowserColour(key, prefClass = Prefs)

Module function to retrieve the various project browser colours.

key
  the key of the value to get
prefClass
  preferences class used as the storage area

Returns:
  the requested project browser colour

Up

## getProjectBrowserFlags

getProjectBrowserFlags(key, prefClass = Prefs)

Module function to retrieve the various project browser flags settings.

key
  the key of the value to get
prefClass
  preferences class used as the storage area

Returns:
  the requested project setting

Up

## getPython

getPython(key, prefClass = Prefs)

Module function to retrieve the Python settings.

key
  the key of the value to get
prefClass
  preferences class used as the storage area

Returns:
  the requested debugger setting

Up

## getQt

getQt(key, prefClass = Prefs)

Module function to retrieve the various Qt settings.

key
  the key of the value to get
prefClass
  preferences class used as the storage area

Returns:
  the requested Qt setting

Up

## getQt4DocDir

getQt4DocDir(prefClass = Prefs)

Module function to retrieve the Qt4DocDir setting.

prefClass
  preferences class used as the storage area

Returns:
  the requested Qt4DocDir setting (string)

Up

## getQt4TranslationsDir

getQt4TranslationsDir(prefClass = Prefs)

Module function to retrieve the Qt4TranslationsDir setting.

prefClass
  preferences class used as the storage area

Returns:
  the requested Qt4TranslationsDir setting (string)

Up

## getShell

getShell(key, prefClass = Prefs)

Module function to retrieve the various shell settings.

key
  the key of the value to get
prefClass
  preferences class used as the storage area

Returns:
  the requested shell setting

Up

## getSystem

getSystem(key, prefClass = Prefs)

Module function to retrieve the various system settings.

key
  the key of the value to get
prefClass
  preferences class used as the storage area

Returns:
  the requested system setting

Up

## getTasks

getTasks(key, prefClass = Prefs)

Module function to retrieve the Tasks related settings.

key
  the key of the value to get
prefClass
  preferences class used as the storage area

Returns:
  the requested user setting

Up

## getTemplates

getTemplates(key, prefClass = Prefs)

Module function to retrieve the Templates related settings.

key
  the key of the value to get
prefClass
  preferences class used as the storage area

Returns:
  the requested user setting

Up

## getTerminal

getTerminal(key, prefClass = Prefs)

Module function to retrieve the various terminal settings.

key
  the key of the value to get
prefClass
  preferences class used as the storage area

Returns:
  the requested shell setting

Up

## getUI

getUI(key, prefClass = Prefs)

Module function to retrieve the various UI settings.

key
  the key of the value to get
prefClass
  preferences class used as the storage area

Returns:
  the requested UI setting

Up

## getUILanguage

getUILanguage(prefClass = Prefs)

Module function to retrieve the language for the user interface.

prefClass
  preferences class used as the storage area

Returns:
  the language for the UI

Up

## getUILayout

getUILayout(prefClass = Prefs)

Module function to retrieve the layout for the user interface.

prefClass
  preferences class used as the storage area

Returns:
  the UI layout as a tuple of main layout, flag for an embedded shell and a value for an embedded file browser

Up

## getUser

getUser(key, prefClass = Prefs)

Module function to retrieve the various user settings.

key
  the key of the value to get
prefClass
  preferences class used as the storage area

Returns:
  the requested user setting

Up

## getVCS

getVCS(key, prefClass = Prefs)

Module function to retrieve the VCS related settings.

key
  the key of the value to get
prefClass
  preferences class used as the storage area

Returns:
  the requested user setting

Up

## getVarFilters

getVarFilters(prefClass = Prefs)

Module function to retrieve the variables filter settings.

prefClass
  preferences class used as the storage area

Returns:
  a tuple defing the variables filter

Up

## getViewManager

getViewManager(prefClass = Prefs)

Module function to retrieve the selected viewmanager type.

prefClass
  preferences class used as the storage area

Returns:
  the viewmanager type

Up

## importPreferences

importPreferences(prefClass = Prefs)

Module function to import preferences from a file previously saved by the export function.

prefClass
  preferences class used as the storage area

Up

## initPreferences

initPreferences()

Module function to initialize the central configuration store.

Up

## initRecentSettings

initRecentSettings()

Module function to initialize the central configuration store for recently opened files and projects.

This function is called once upon import of the module.

Up

## isConfigured

isConfigured(prefClass = Prefs)

Module function to check, if the the application has been configured.

prefClass
  preferences class used as the storage area

Returns:
  flag indicating the configured status (boolean)

Up

## readToolGroups

readToolGroups(prefClass = Prefs)

Module function to read the tool groups configuration.

prefClass
  preferences class used as the storage area

Returns:
  list of tuples defing the tool groups

Up

## removeProjectBrowserFlags

removeProjectBrowserFlags(key, prefClass = Prefs)

Module function to remove a project browser flags setting.

key
  the key of the setting to be removed
prefClass
  preferences class used as the storage area

Up

## resetLayout

resetLayout(prefClass = Prefs)

Module function to set a flag not storing the current layout.

prefClass
  preferences class used as the storage area

Up

## saveResetLayout

saveResetLayout(prefClass = Prefs)

Module function to save the reset layout.

Up

## saveToolGroups

saveToolGroups(toolGroups, currentGroup, prefClass = Prefs)

Module function to write the tool groups configuration.

toolGroups
  reference to the list of tool groups
currentGroup
  index of the currently selected tool group (integer)
prefClass
  preferences class used as the storage area

Up

## setCorba

setCorba(key, value, prefClass = Prefs)

Module function to store the various corba settings.

key
  the key of the setting to be set
value
  the value to be set
prefClass
  preferences class used as the storage area

Up

## setDebugger

setDebugger(key, value, prefClass = Prefs)

Module function to store the debugger settings.

key
  the key of the setting to be set
value
  the value to be set
prefClass
  preferences class used as the storage area

Up

## setEditor

setEditor(key, value, prefClass = Prefs)

Module function to store the various editor settings.

key
  the key of the setting to be set
value
  the value to be set
prefClass
  preferences class used as the storage area

Up

## setEditorAPI

setEditorAPI(key, apilist, prefClass = Prefs)

Module function to store the various lists of api files.

key
  the key of the api to be set
apilist
  the list of api files (QStringList)
prefClass
  preferences class used as the storage area

Up

## setEditorColour

setEditorColour(key, value, prefClass = Prefs)

Module function to store the various editor marker colours.

key
  the key of the colour to be set
value
  the colour to be set
prefClass
  preferences class used as the storage area

Up

## setEditorExporter

setEditorExporter(key, value, prefClass = Prefs)

Module function to store the various editor exporters settings.

key
  the key of the setting to be set
value
  the value to be set
prefClass
  preferences class used as the storage area

Up

## setEditorLexerAssocs

setEditorLexerAssocs(assocs, prefClass = Prefs)

Module function to retrieve all lexer associations.

assocs
  dictionary of lexer associations to be set
prefClass
  preferences class used as the storage area

Up

## setEditorOtherFonts

setEditorOtherFonts(key, font, prefClass = Prefs)

Module function to store the various editor fonts except the lexer fonts.

key
  the key of the font to be set
font
  the font to be set (QFont)
prefClass
  preferences class used as the storage area

Up

## setEditorTyping

setEditorTyping(key, value, prefClass = Prefs)

Module function to store the various editor typing settings.

key
  the key of the setting to be set
value
  the value to be set
prefClass
  preferences class used as the storage area

Up

## setGeometry

setGeometry(key, value, prefClass = Prefs)

Module function to store the display geometry.

key
  the key of the setting to be set
value
  the geometry to be set
prefClass
  preferences class used as the storage area

Up

## setGraphics

setGraphics(key, value, prefClass = Prefs)

Module function to store the Graphics related settings.

key
  the key of the setting to be set
value
  the value to be set
prefClass
  preferences class used as the storage area

Up

## setHelp

setHelp(key, value, prefClass = Prefs)

Module function to store the various help settings.

key
  the key of the setting to be set
value
  the value to be set
prefClass
  preferences class used as the storage area

Up

## setIconEditor

setIconEditor(key, value, prefClass = Prefs)

Module function to store the Icon Editor related settings.

key
  the key of the setting to be set
value
  the value to be set
prefClass
  preferences class used as the storage area

Up

## setIcons

setIcons(key, value, prefClass = Prefs)

Module function to store the various Icons settings.

key
  the key of the setting to be set
value
  the value to be set
prefClass
  preferences class used as the storage area

Up

## setMultiProject

setMultiProject(key, value, prefClass = Prefs)

Module function to store the various project handling settings.

key
  the key of the setting to be set
value
  the value to be set
prefClass
  preferences class used as the storage area

Up

## setPluginManager

setPluginManager(key, value, prefClass = Prefs)

Module function to store the plugin manager related settings.

key
  the key of the setting to be set
value
  the value to be set
prefClass
  preferences class used as the storage area

Up

## setPrinter

setPrinter(key, value, prefClass = Prefs)

Module function to store the various printer settings.

key
  the key of the setting to be set
value
  the value to be set
prefClass
  preferences class used as the storage area

Up

## setProject

setProject(key, value, prefClass = Prefs)

Module function to store the various project handling settings.

key
  the key of the setting to be set
value
  the value to be set
prefClass
  preferences class used as the storage area

Up

## setProjectBrowserColour

setProjectBrowserColour(key, value, prefClass = Prefs)

Module function to store the various project browser colours.

key
  the key of the colour to be set
value
  the colour to be set
prefClass
  preferences class used as the storage area

Up

## setProjectBrowserFlags

setProjectBrowserFlags(key, value, prefClass = Prefs)

Module function to store the various project browser flags settings.

key
  the key of the setting to be set
value
  the value to be set
prefClass
  preferences class used as the storage area

Up

## setProjectBrowserFlagsDefault

setProjectBrowserFlagsDefault(key, value, prefClass = Prefs)

Module function to store the various project browser flags settings.

key
  the key of the setting to be set
value
  the value to be set
prefClass
  preferences class used as the storage area

Up

## setPython

setPython(key, value, prefClass = Prefs)

Module function to store the Python settings.

key
  the key of the setting to be set
value
  the value to be set
prefClass
  preferences class used as the storage area

Up

## setQt

setQt(key, value, prefClass = Prefs)

Module function to store the various Qt settings.

key
  the key of the setting to be set
value
  the value to be set
prefClass
  preferences class used as the storage area

Up

## setShell

setShell(key, value, prefClass = Prefs)

Module function to store the various shell settings.

key
  the key of the setting to be set
value
  the value to be set
prefClass
  preferences class used as the storage area

Up

## setSystem

setSystem(key, value, prefClass = Prefs)

Module function to store the various system settings.

key
  the key of the setting to be set
value
  the value to be set
prefClass
  preferences class used as the storage area

Up

## setTasks

setTasks(key, value, prefClass = Prefs)

Module function to store the Tasks related settings.

key
  the key of the setting to be set
value
  the value to be set
prefClass
  preferences class used as the storage area

Up

## setTemplates

setTemplates(key, value, prefClass = Prefs)

Module function to store the Templates related settings.

key
  the key of the setting to be set
value
  the value to be set
prefClass
  preferences class used as the storage area

Up

## setTerminal

setTerminal(key, value, prefClass = Prefs)

Module function to store the various terminal settings.

key
  the key of the setting to be set
value
  the value to be set
prefClass
  preferences class used as the storage area

Up

## setUI

setUI(key, value, prefClass = Prefs)

Module function to store the various UI settings.

key
  the key of the setting to be set
value
  the value to be set
prefClass
  preferences class used as the storage area

Up

## setUILanguage

setUILanguage(lang, prefClass = Prefs)

Module function to store the language for the user interface.

lang
  the language
prefClass
  preferences class used as the storage area

Up

## setUILayout

setUILayout(layout, prefClass = Prefs)

Module function to store the layout for the user interface.

layout
  the layout type
prefClass
  preferences class used as the storage area

Up

## setUser

setUser(key, value, prefClass = Prefs)

Module function to store the various user settings.

key
  the key of the setting to be set
value
  the value to be set
prefClass
  preferences class used as the storage area

Up

## setVCS

setVCS(key, value, prefClass = Prefs)

Module function to store the VCS related settings.

key
  the key of the setting to be set
value
  the value to be set
prefClass
  preferences class used as the storage area

Up

## setVarFilters

setVarFilters(filters, prefClass = Prefs)

Module function to store the variables filter settings.

prefClass
  preferences class used as the storage area

Up

## setViewManager

setViewManager(vm, prefClass = Prefs)

Module function to store the selected viewmanager type.

vm
  the viewmanager type
prefClass
  preferences class used as the storage area

Up

## shouldResetLayout

shouldResetLayout(prefClass = Prefs)

Module function to indicate a reset of the layout.

prefClass
  preferences class used as the storage area

Returns:
  flag indicating a reset of the layout (boolean)

Up

## syncPreferences

syncPreferences(prefClass = Prefs)

Module function to sync the preferences to disk.

In addition to syncing, the central configuration store is reinitialized as well.

prefClass
  preferences class used as the storage area

Up